Subject: Re: [PATCH] ignores: handle non UTF-8 exclude files

From: Junio C Hamano <[email-masked]>
Date: Sun, 04 Jan 2026 11:54:46 +0900

"Matthieu Beauchamp-Boulay via GitGitGadget"
<[email-masked]> writes:

> From: Matthieu Beauchamp-Boulay <[email-masked]>
>
> When reading exclude files, git assumes it is encoded in UTF-8 and will
> fail to apply patterns if it isn't.

Is it true?  I thought we assume that the exclude patters are
written in such a way to match the encoding of the pathnames,
whatever used on the platform that our calls to readdir(3) returns.
Some platforms may have compat/ code to convert these paths and
force use of UTF-8, but please do not write such platform local
conventions as if it were universal characteristics of our system.

"ignores" -> "exclude" on the title, as that is the canonical word
we use in the codebase to refer to the ignore mechanism.